# EncounterRequirement | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Interface EncounterRequirement

interface EncounterRequirement {
getDialogueToken (pokemon?: PlayerPokemon ): [string, string];
meetsRequirement (): boolean;
}

#### Implemented by

- EncounterPokemonRequirement
- EncounterSceneRequirement

- Defined in src/data/mystery-encounters/mystery-encounter-requirements.ts:20

##### Index

### Methods

getDialogueToken
meetsRequirement

## Methods

### getDialogueToken

- getDialogueToken(pokemon?: PlayerPokemon ): [string, string]

  #### Parameters

  - `Optional` pokemon: PlayerPokemon

  #### Returns [string, string]

  - Defined in src/data/mystery-encounters/mystery-encounter-requirements.ts:22

### meetsRequirement

- meetsRequirement(): boolean

  #### Returns boolean

  - Defined in src/data/mystery-encounters/mystery-encounter-requirements.ts:21